POST /v1/sandboxes
Authorization
bearerAuth In: header
Query Parameters
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/v1/sandboxes" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "string", "name": "string", "state": "string", "host_id": "string", "via": "string", "warm": true, "pool": "string", "pool_fallback": "string", "placed_pool": "string", "exposed": [ { "port": 0, "url": "string", "token": "string", "public": true, "protocol": "http", "host": "string", "public_port": 0, "proxy_protocol": true, "direct": true, "direct_host": "string", "direct_url": "string" } ], "volume_mounts": [ { "id": "string", "sandbox_id": "string", "volume_id": "string", "volume_name": "string", "mount_path": "string", "read_only": true, "subdir": "string", "state": "pending", "generation": 0, "base_commit_id": "string", "mounted_commit_id": "string", "pinned_commit_id": "string", "last_commit_id": "string", "last_commit_at": "string", "dirty_bytes": 0, "unflushed": true, "error": "string", "share": "node", "share_effective": "node", "share_fallback_reason": "string", "stale": true, "durability": "commit", "created_at": "string" } ]}